<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>CSI Driver External Data Structures</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">CSI Driver External Data Structures<div class="ingroups"><a class="el" href="group___c_s_i___d_r_i_v_e_r.html">CSI Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the data structures which are exposed to the application.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_s_i___virtual_channel_cfg__t.html">CSI_VirtualChannelCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">CSI Virtual Channel Configuration.  <a href="struct_c_s_i___virtual_channel_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_s_i___phy_params__t.html">CSI_PhyParams_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">CSI Phy Parameters.  <a href="struct_c_s_i___phy_params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_s_i___cfg__t.html">CSI_Cfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">CSI Configuration.  <a href="struct_c_s_i___cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga4fc6d22959d3da49703cb040b52489af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga4fc6d22959d3da49703cb040b52489af"></a>
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga4fc6d22959d3da49703cb040b52489af">CSI_Handle</a></td></tr>
<tr class="memdesc:ga4fc6d22959d3da49703cb040b52489af"><td class="mdescLeft">&#160;</td><td class="mdescRight">CSI Driver Handle. <br /></td></tr>
<tr class="separator:ga4fc6d22959d3da49703cb040b52489af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8543ddc0fd13adde4f334a9cf89adfa3"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga08bc63c915956a0f5386983af6e8bad5">CSI_FIFO_Arbiteration_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8543ddc0fd13adde4f334a9cf89adfa3">CSI_FIFO_Arbiteration</a></td></tr>
<tr class="memdesc:ga8543ddc0fd13adde4f334a9cf89adfa3"><td class="mdescLeft">&#160;</td><td class="mdescRight">FIFO Arbiteration Mode.  <a href="#ga8543ddc0fd13adde4f334a9cf89adfa3">More...</a><br /></td></tr>
<tr class="separator:ga8543ddc0fd13adde4f334a9cf89adfa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4e4b04340b0b6117b38616141a3ac5ff"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga49a1eabff2886303c9afe620559b02bc">CSI_VirtualCh_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga4e4b04340b0b6117b38616141a3ac5ff">CSI_VirtualCh</a></td></tr>
<tr class="memdesc:ga4e4b04340b0b6117b38616141a3ac5ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">CSI virtual channel.  <a href="#ga4e4b04340b0b6117b38616141a3ac5ff">More...</a><br /></td></tr>
<tr class="separator:ga4e4b04340b0b6117b38616141a3ac5ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ff4756c97ac48364c1a7cfd139603fe"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae6733bb86d2844c229cfd045040d04e5">CSI_VC_FIFO_Size_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3ff4756c97ac48364c1a7cfd139603fe">CSI_VC_FIFO_Size</a></td></tr>
<tr class="memdesc:ga3ff4756c97ac48364c1a7cfd139603fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual Channel FIFO Size.  <a href="#ga3ff4756c97ac48364c1a7cfd139603fe">More...</a><br /></td></tr>
<tr class="separator:ga3ff4756c97ac48364c1a7cfd139603fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4747b4c70ec191507bce5b113185f4b0"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaaed5f8d923c8f67e2a2ee5633197438f">CSI_DataRate_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga4747b4c70ec191507bce5b113185f4b0">CSI_DataRate</a></td></tr>
<tr class="memdesc:ga4747b4c70ec191507bce5b113185f4b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">CSI Data Rates.  <a href="#ga4747b4c70ec191507bce5b113185f4b0">More...</a><br /></td></tr>
<tr class="separator:ga4747b4c70ec191507bce5b113185f4b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadee9b14bf4bf44dd17de3e0bcde34730"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_c_s_i___virtual_channel_cfg__t.html">CSI_VirtualChannelCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadee9b14bf4bf44dd17de3e0bcde34730">CSI_VirtualChannelCfg</a></td></tr>
<tr class="memdesc:gadee9b14bf4bf44dd17de3e0bcde34730"><td class="mdescLeft">&#160;</td><td class="mdescRight">CSI Virtual Channel Configuration.  <a href="#gadee9b14bf4bf44dd17de3e0bcde34730">More...</a><br /></td></tr>
<tr class="separator:gadee9b14bf4bf44dd17de3e0bcde34730"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee4c8f15dd80bc1ca345e9332eac465b"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_c_s_i___phy_params__t.html">CSI_PhyParams_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaee4c8f15dd80bc1ca345e9332eac465b">CSI_PhyParams</a></td></tr>
<tr class="memdesc:gaee4c8f15dd80bc1ca345e9332eac465b"><td class="mdescLeft">&#160;</td><td class="mdescRight">CSI Phy Parameters.  <a href="#gaee4c8f15dd80bc1ca345e9332eac465b">More...</a><br /></td></tr>
<tr class="separator:gaee4c8f15dd80bc1ca345e9332eac465b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf562115f176acacd3a5059a024484364"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_c_s_i___cfg__t.html">CSI_Cfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf562115f176acacd3a5059a024484364">CSI_Cfg</a></td></tr>
<tr class="memdesc:gaf562115f176acacd3a5059a024484364"><td class="mdescLeft">&#160;</td><td class="mdescRight">CSI Configuration.  <a href="#gaf562115f176acacd3a5059a024484364">More...</a><br /></td></tr>
<tr class="separator:gaf562115f176acacd3a5059a024484364"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the data structures which are exposed to the application. </p>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="gaf562115f176acacd3a5059a024484364"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_c_s_i___cfg__t.html">CSI_Cfg_t</a> <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf562115f176acacd3a5059a024484364">CSI_Cfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CSI Configuration. </p>
<p>The structure describes the configuration information which is needed to initialize and setup the CSI Driver. </p>

</div>
</div>
<a class="anchor" id="ga4747b4c70ec191507bce5b113185f4b0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaaed5f8d923c8f67e2a2ee5633197438f">CSI_DataRate_e</a> <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga4747b4c70ec191507bce5b113185f4b0">CSI_DataRate</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CSI Data Rates. </p>
<p>Enumeration which describes the data rates supported by the CSI interface </p>

</div>
</div>
<a class="anchor" id="ga8543ddc0fd13adde4f334a9cf89adfa3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga08bc63c915956a0f5386983af6e8bad5">CSI_FIFO_Arbiteration_e</a> <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8543ddc0fd13adde4f334a9cf89adfa3">CSI_FIFO_Arbiteration</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>FIFO Arbiteration Mode. </p>
<p>Enumeration which describes the FIFO Arbiteration mode </p>

</div>
</div>
<a class="anchor" id="gaee4c8f15dd80bc1ca345e9332eac465b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_c_s_i___phy_params__t.html">CSI_PhyParams_t</a> <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaee4c8f15dd80bc1ca345e9332eac465b">CSI_PhyParams</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CSI Phy Parameters. </p>
<p>The structure describes the configuration for the PHY registers. This is an advanced configuration feature which is available and can be used by application developers to trim the CSI PHY.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga018d096f43fc3d59f64eddeda9502d51">CSI_phyParamsInit</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga3ff4756c97ac48364c1a7cfd139603fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae6733bb86d2844c229cfd045040d04e5">CSI_VC_FIFO_Size_e</a> <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3ff4756c97ac48364c1a7cfd139603fe">CSI_VC_FIFO_Size</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Virtual Channel FIFO Size. </p>
<p>Enumeration which describes the size of the FIFO used by the virtual channels. </p>

</div>
</div>
<a class="anchor" id="ga4e4b04340b0b6117b38616141a3ac5ff"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga49a1eabff2886303c9afe620559b02bc">CSI_VirtualCh_e</a> <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga4e4b04340b0b6117b38616141a3ac5ff">CSI_VirtualCh</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CSI virtual channel. </p>
<p>Enumeration which describes the CSI virtual channels </p>

</div>
</div>
<a class="anchor" id="gadee9b14bf4bf44dd17de3e0bcde34730"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_c_s_i___virtual_channel_cfg__t.html">CSI_VirtualChannelCfg_t</a> <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadee9b14bf4bf44dd17de3e0bcde34730">CSI_VirtualChannelCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CSI Virtual Channel Configuration. </p>
<p>The structure describes the configuration which needs to be specified in order to create a virtual channel. </p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="gaaed5f8d923c8f67e2a2ee5633197438f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaaed5f8d923c8f67e2a2ee5633197438f">CSI_DataRate_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CSI Data Rates. </p>
<p>Enumeration which describes the data rates supported by the CSI interface </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggaaed5f8d923c8f67e2a2ee5633197438fa40ed4d69eb989a7597c49509d5b32fe6"></a>CSI_DataRate_1200Mhz&#160;</td><td class="fielddoc">
<p>Data rate is 1200Mhz. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaaed5f8d923c8f67e2a2ee5633197438fa5aa5537ad347135fac05e7b6c8bd9dce"></a>CSI_DataRate_900Mhz&#160;</td><td class="fielddoc">
<p>Data rate is 900Mhz. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaaed5f8d923c8f67e2a2ee5633197438fa6859b769cefecc8750295b11c0d6c9fe"></a>CSI_DataRate_600Mhz&#160;</td><td class="fielddoc">
<p>Data rate is 600Mhz. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaaed5f8d923c8f67e2a2ee5633197438fa467d43e4986982ff2121fdd0a564929a"></a>CSI_DataRate_450Mhz&#160;</td><td class="fielddoc">
<p>Data rate is 450Mhz. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaaed5f8d923c8f67e2a2ee5633197438fac5b3479bfd9a9bbfabb48b810f071aea"></a>CSI_DataRate_400Mhz&#160;</td><td class="fielddoc">
<p>Data rate is 400Mhz. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaaed5f8d923c8f67e2a2ee5633197438fa71c077cb3f9c6fc1e7a6f746891bb3d0"></a>CSI_DataRate_300Mhz&#160;</td><td class="fielddoc">
<p>Data rate is 300Mhz. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaaed5f8d923c8f67e2a2ee5633197438faedd32402f3e4b59396f80efdba50d7e2"></a>CSI_DataRate_225Mhz&#160;</td><td class="fielddoc">
<p>Data rate is 225Mhz. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga08bc63c915956a0f5386983af6e8bad5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga08bc63c915956a0f5386983af6e8bad5">CSI_FIFO_Arbiteration_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>FIFO Arbiteration Mode. </p>
<p>Enumeration which describes the FIFO Arbiteration mode </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga08bc63c915956a0f5386983af6e8bad5a97b0f23346347033c30167de701ed5ea"></a>CSI_FIFO_Arbiteration_RR&#160;</td><td class="fielddoc">
<p>Round Robin: This indicates that the FIFO is serviced starting from the lowest enabled virtual channel identifier. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga08bc63c915956a0f5386983af6e8bad5aee43e807a6d44f45059983d7811bc9f9"></a>CSI_FIFO_Arbiteration_SEQ&#160;</td><td class="fielddoc">
<p>Sequential: This indicates that the all pending requests from a virtual channel are processed before moving to the next channel. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gae6733bb86d2844c229cfd045040d04e5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae6733bb86d2844c229cfd045040d04e5">CSI_VC_FIFO_Size_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Virtual Channel FIFO Size. </p>
<p>Enumeration which describes the size of the FIFO used by the virtual channels. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggae6733bb86d2844c229cfd045040d04e5ad9cefc8ce2e3efd3e0d2c53290afb5bc"></a>CSI_VC_FIFO_Size_0&#160;</td><td class="fielddoc">
<p>FIFO Size is 0*33 bits. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggae6733bb86d2844c229cfd045040d04e5a02542378c5124e9582f660fbf2a58d55"></a>CSI_VC_FIFO_Size_32&#160;</td><td class="fielddoc">
<p>FIFO Size is 32*33 bits. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggae6733bb86d2844c229cfd045040d04e5aff2119b63bae9cb6aec8bfef18418699"></a>CSI_VC_FIFO_Size_64&#160;</td><td class="fielddoc">
<p>FIFO Size is 64*33 bits. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggae6733bb86d2844c229cfd045040d04e5a3d49a08e69b8e257436ed4ef99b80d0e"></a>CSI_VC_FIFO_Size_96&#160;</td><td class="fielddoc">
<p>FIFO Size is 96*33 bits. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggae6733bb86d2844c229cfd045040d04e5a0c26cf76708a589a7903e250d4f51448"></a>CSI_VC_FIFO_Size_128&#160;</td><td class="fielddoc">
<p>FIFO Size is 128*33 bits. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga49a1eabff2886303c9afe620559b02bc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___c_s_i___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga49a1eabff2886303c9afe620559b02bc">CSI_VirtualCh_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CSI virtual channel. </p>
<p>Enumeration which describes the CSI virtual channels </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga49a1eabff2886303c9afe620559b02bcab1d17ce756fcd646ab49b53852c2dd88"></a>CSI_VirtualCh_CH0&#160;</td><td class="fielddoc">
<p>Virtual Channel 0. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga49a1eabff2886303c9afe620559b02bcacf00980462f97309baa11a7aa8f7a03c"></a>CSI_VirtualCh_CH1&#160;</td><td class="fielddoc">
<p>Virtual Channel 1. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga49a1eabff2886303c9afe620559b02bcaf39b298e7fa307e6f7c151d94da2cf38"></a>CSI_VirtualCh_CH2&#160;</td><td class="fielddoc">
<p>Virtual Channel 2. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga49a1eabff2886303c9afe620559b02bca4ef62b1cac03a64d2a8ea1521b684eae"></a>CSI_VirtualCh_CH3&#160;</td><td class="fielddoc">
<p>Virtual Channel 3. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga49a1eabff2886303c9afe620559b02bcae21b58a1f00a5c3765b818c843f14070"></a>CSI_VirtualCh_MAX_CHANNEL&#160;</td><td class="fielddoc">
<p>Maximum number of virtual channels supported. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga49a1eabff2886303c9afe620559b02bca135f15ff7cd2a21d2f4aa31d8874cd68"></a>CSI_VirtualCh_INVALID&#160;</td><td class="fielddoc">
<p>Invalid channel. </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
